export class ErrorResolver {

    errors = [
        //USER
        //********************************************************************************************************
        {number: 600, line: [{lang: 'de', line: 'Dieser Nutzername existiert nicht.'}, {lang: 'en', line: 'line_EN'}]},
        {number: 604, line: [{lang: 'de', line: 'Es kein Nutzerprofil verfügbar'}, {lang: 'en', line: 'line_EN'}]},
        {number: 607, line: [{lang: 'de', line: 'Du wurdest gesperrt.'}, {lang: 'en', line: 'line_EN'}]},
        {number: 613, line: [{lang: 'de', line: 'Das Passwort ist leider falsch.'}, {lang: 'en', line: 'line_EN'}]},
        {number: 614, line: [{lang: 'de', line: 'Access token is invalid'}, {lang: 'en', line: 'line_EN'}]},
        {number: 615, line: [{lang: 'de', line: 'Es existiert bereits ein Benutzer mit dieser E-Mail Adresse.'}, {lang: 'en', line: 'line_EN'}]},
        {number: 636, line: [{lang: 'de', line: 'Du musst noch deine E-Mail Adresse bestätigen.'}, {lang: 'en', line: 'line_EN'}]},
        
        //SOCKET
        //********************************************************************************************************
        {number: -1000, line: [{lang: 'de', line: 'Momentan bist du nicht mit dem Server verbunden. Versuche es später noch einmal.'}, {lang: 'en', line: 'line_EN'}]},
        {number: -1001, line: [{lang: 'de', line: 'Request timeout!'}, {lang: 'en', line: 'line_EN'}]},

        //VALIDATION
        {number: -1100, line: [{lang: 'de', line: 'Bitte gebe eine gültige E-Mail-Adresse ein.'}, {lang: 'en', line: 'line_EN'}]},
        {number: -1101, line: [{lang: 'de', line: 'Das Passwort muss mindestens acht Zeichen lang sein.'}, {lang: 'en', line: 'line_EN'}]},
        {number: -1102, line: [{lang: 'de', line: 'Das Passwort muss mindestens eine Zahl enthalten.'}, {lang: 'en', line: 'line_EN'}]},
        {number: -1103, line: [{lang: 'de', line: 'Das Passwort muss Klein- und Großbuchstaben enthalten.'}, {lang: 'en', line: 'line_EN'}]},
        {number: -1104, line: [{lang: 'de', line: 'Gebe eine gültige Postleitzahl ein.'}, {lang: 'en', line: 'line_EN'}]},
        {number: -1105, line: [{lang: 'de', line: 'Hier sollten keine Zahlen enthalten sein.'}, {lang: 'en', line: 'line_EN'}]},
        {number: -1106, line: [{lang: 'de', line: 'Die Passwörter stimmen nicht überein.'}, {lang: 'en', line: 'line_EN'}]},
        {number: -1107, line: [{lang: 'de', line: 'Dies ist eine Pfichteingabe.'}, {lang: 'en', line: 'line_EN'}]},
        {number: -1108, line: [{lang: 'de', line: 'Bitte füge ein Profilbild hinzu.'}, {lang: 'en', line: 'line_EN'}]},
        {number: -1109, line: [{lang: 'de', line: 'Bitte wähle ein Geschlecht.'}, {lang: 'en', line: 'line_EN'}]},
        {number: -1110, line: [{lang: 'de', line: 'Bitte füge mindestens ein Bild hinzu.'}, {lang: 'en', line: 'line_EN'}]},
        {number: -1111, line: [{lang: 'de', line: 'Bitte beachte den Mindestpreis.'}, {lang: 'en', line: 'line_EN'}]},


    ] 

    

    constructor(){

    }

    public resolveError(number): string{
        for(let i = 0 ; i < this.errors.length; i++){
            if(this.errors[i].number === number){
                
                        return this.errors[i].line[0].line;
                }
            }
        return "Huch, da ist wohl was schief gelaufen... " + number;
        }

}
