import { lineHeightProperty } from "tns-core-modules/ui/editable-text-base/editable-text-base";

export class Dictionary{
    
    private dictionary: Entry[];
    private lang: string;

    constructor(lang: string){
        this.lang = lang;
        this.dictionary = [
            
        ];
    }




    public getLine(number: number): string{
        for(let i = 0 ; i < this.dictionary.length; i++){
            if(this.dictionary[i].number === number){
                for(let j = 0 ; j < this.dictionary[i].line.length; j ++ ) {
                    if(this.dictionary[i].line[j].lang === this.lang){
                        return this.dictionary[i].line[j].line;
                    }
                }
                
            }
        }

        return "Line not Found...";
    }



}

export interface Entry {
    number: number;
    line: Line[];
}

export interface Line {
    lang: string;
    line: string;
}